summaryrefslogtreecommitdiff
path: root/scripts/scan-tools.sh
diff options
context:
space:
mode:
authorWaldemar Brodkorb <wbx@openadk.org>2014-03-31 08:41:00 +0200
committerWaldemar Brodkorb <wbx@openadk.org>2014-03-31 08:41:00 +0200
commit9cea46c6a78c5639492f9bf8e0abfda2dec15e41 (patch)
tree4f0310d6a14002d4c981fb441d071340c30bc388 /scripts/scan-tools.sh
parentf04e95ccbeacfbd4b6d8e8bb6bcb6db848bf20e0 (diff)
parentb10c8275eb4684848e0ed000eefe75206cd065a3 (diff)
Merge branch 'master' of openadk.org:/git/openadk
Diffstat (limited to 'scripts/scan-tools.sh')
-rw-r--r--scripts/scan-tools.sh16
1 files changed, 10 insertions, 6 deletions
diff --git a/scripts/scan-tools.sh b/scripts/scan-tools.sh
index 103f37411..16b13d4e3 100644
--- a/scripts/scan-tools.sh
+++ b/scripts/scan-tools.sh
@@ -247,16 +247,20 @@ fi
host_build_findutils=0
if ! which gxargs >/dev/null 2>&1; then
- if ! which xargs >/dev/null 2>&1; then
- echo "No xargs found, will build one."
- host_build_findutils=1
+ if which xargs >/dev/null 2>&1; then
+ if ! xargs --version 2>/dev/null|grep GNU >/dev/null;then
+ echo "No GNU xargs found, will build one."
+ host_build_findutils=1
+ fi
fi
fi
if ! which gfind >/dev/null 2>&1; then
- if ! which find >/dev/null 2>&1; then
- echo "No find found, will build one."
- host_build_findutils=1
+ if which find >/dev/null 2>&1; then
+ if ! find --version 2>/dev/null|grep GNU >/dev/null;then
+ echo "No GNU find found, will build one."
+ host_build_findutils=1
+ fi
fi
fi